eID middleware |

# be::portugal::eid::PTEID_ExCertNoOcsp Class Reference

Exception class Certificate No OCSP responder (error code = EIDMW_ERR_CERT_NOOCSP). More...

Inheritance diagram for be::portugal::eid::PTEID_ExCertNoOcsp:

List of all members.

## Public Member Functions
override void | Dispose ()
| PTEID_ExCertNoOcsp ()

## Detailed Description

Exception class Certificate No OCSP responder (error code = EIDMW_ERR_CERT_NOOCSP).

Throw when ask for the OCSP response when there is no responder. Used in :

- PTEID_Certificate::getOcspResponse()

## Constructor & Destructor Documentation

be::portugal::eid::PTEID_ExCertNoOcsp::PTEID_ExCertNoOcsp | ( |  | ) | `[inline]`

## Member Function Documentation

override void be::portugal::eid::PTEID_ExCertNoOcsp::Dispose | ( |  | ) | `[inline, virtual]`

Reimplemented from be::portugal::eid::PTEID_Exception.